Subject: Re: 2.5.64-mm2
From: Robert Love <[email-masked]>
To: Shawn <[email-masked]>, Andrew Morton <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, [email-masked]
Date: 07 Mar 2003 23:22:33 -0500

On Fri, 2003-03-07 at 23:01, Shawn wrote:
> Here's my .config. I am not SMP.
> 
> I suspected the distclean thing, but I made "Mr. Proper" too just in
> case.

Oh.  Its those damn modules.  The bane of my existence.

Problem is, ksyms.c is exporting kernel_flag under PREEMPT.  Now we just
need it exported under SMP.

Andrew, would you mind appending this to the current patch? Sorry.

Everyone else, you need this if you are UP+PREEMPT+MODULES.

	Robert Love

 kernel/ksyms.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -urN linux-2.5.64-mm2/kernel/ksyms.c linux/kernel/ksyms.c
--- linux-2.5.64-mm2/kernel/ksyms.c	2003-03-07 22:08:04.000000000 -0500
+++ linux/kernel/ksyms.c	2003-03-07 23:19:32.098500176 -0500
@@ -488,7 +488,7 @@
 #if CONFIG_SMP
 EXPORT_SYMBOL_GPL(set_cpus_allowed);
 #endif
-#if CONFIG_SMP || CONFIG_PREEMPT
+#if CONFIG_SMP
 EXPORT_SYMBOL(kernel_flag);
 #endif
 EXPORT_SYMBOL(jiffies);